tidy::root
tidyNode::getParent
Tidy
PHP Manual

# La classe TidyNode

## Introduction

Une balise HTML dans un fichier HTML, tel que détecté par Tidy.

## Synopsis de la classe

TidyNode
TidyNode {
/* Propriétés */
$value;
$name;
$type;
$line;
$column;
$proprietary;
$id;
$attribute;
$child;
/* Méthodes */
tidyNode tidyNode::getParent ( void )
bool tidyNode::hasChildren ( void )
bool tidyNode::hasSiblings ( void )
bool tidyNode::isAsp ( void )
bool tidyNode::isComment ( void )
bool tidyNode::isHtml ( void )
bool tidyNode::isJste ( void )
bool tidyNode::isPhp ( void )
bool tidyNode::isText ( void )
}

## Propriétés

value

  La représentation HTML du noeud, incluant les balises d'encadrement.

name

  Le nom de la balise HTML

type

  Le type de balise (une constante de type, e.g. `TIDY_NODETYPE_PHP`)

line

  Le numéro de ligne auquel la balise commence

column

  Le numéro de colonne où la balise commence

proprietary

  Indique que la balise est une balise propriétaire

id

  L'ID de la balise (une des constante de balise, e.g. `TIDY_TAG_FRAME`)

attribute

  Un tableau de chaînes, représentant les noms d'attributs (les clés), du noeud courant.

child

  Un tableau d'objets TidyNode, représentant les enfants du noeud courant.

Version | Description
--- | ---
5.1.0 | line, column et proprietary a été ajouté

## Sommaire

- tidyNode::getParent — Retourne le noeud parent du noeud courant
- tidyNode::hasChildren — Indique si le noeud a des enfants
- tidyNode::hasSiblings — Indique si le noeud a des frères
- tidyNode::isAsp — Vérifie si le noeud est du code ASP
- tidyNode::isComment — Indique si le noeud représente un commentaire
- tidyNode::isHtml — Indique si le noeud est une partie d'un document HTML
- tidyNode::isJste — Indique si ce noeud est JSTE
- tidyNode::isPhp — Indique si un noeud contient du code PHP
- tidyNode::isText — Indique si le noeud représente du texte (sans balise)

tidy::root
tidyNode::getParent
Tidy
PHP Manual